Bug 305571 - x 'locks up' mouse moves, nothing else works
x 'locks up' mouse moves, nothing else works
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-25 13:12 EDT by Eric Paris
Modified: 2009-07-14 14:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:06:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (803 bytes, text/plain)
2007-09-25 13:12 EDT, Eric Paris
no flags Details
Xorg.0.log (44.87 KB, text/plain)
2007-09-25 13:12 EDT, Eric Paris
no flags Details

  None (edit)
Description Eric Paris 2007-09-25 13:12:16 EDT
I have a laptop with:

01:00.0 VGA compatible controller: ATI Technologies Inc M24 1P [Radeon Mobility
X600]

xorg-x11-server-Xorg-1.3.0.0-9.fc7
xorg-x11-drv-ati-6.6.3-4.fc7

I'm using:

xfce4-panel-4.4.1-2.fc7.1   although it also happens with
gnome-panel-2.18.3-1.fc7

and I'm running:

beryl-core-0.2.1-1.fc7

with mostly default beryl settings (I can't think of anything I changed other
than starting it and make it the window manager.

**The issue:

Occasionally X will 'lock up.'   The mouse is still able to move round the
screen but I am unable to click on anything.  The keyboard does not appear to do
anything.  The num-lock and caps-lock keys do not turn on/off.  I am unable to
do cntl+alt+f1 and get to a VT.

Usually (although not always) this happens when I mouse over a program in the
task bar and beryl shows a small preview of what is in the window.  It is quite
random.  I can run this setup for 10 days without a problem, then have it happen
5 times in one day.

I am able to ssh into the machine when X is 'locked up.'  Looking at top the cpu
is mostly idle.  X and usually firefox both use a tiny bit of processing time,
but nothing is spinning at 100%.  I don't know what else to collect.  The only
way (I know of) to recover is to power cycle the machine.  Just going to init 3
and init 5 does not properly restore X.

I am going to attach my xorg.conf and my log file.  Last time it happened I
looked at the log file by ssh'ing in from another machine and did not see and
errors or warnings, but I didn't take note of what was at the end....

What else can I collect/do to try to debug this?
Comment 1 Eric Paris 2007-09-25 13:12:16 EDT
Created attachment 205671 [details]
xorg.conf
Comment 2 Eric Paris 2007-09-25 13:12:53 EDT
Created attachment 205681 [details]
Xorg.0.log
Comment 3 Bug Zapper 2008-05-14 10:29:56 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 18:52:20 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 14:06:55 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.